drill-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DRILL-3749) Upgrade Hadoop dependency to latest version (2.7.1)
Date Wed, 14 Oct 2015 21:41:06 GMT

    [ https://issues.apache.org/jira/browse/DRILL-3749?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14957858#comment-14957858
] 

ASF GitHub Bot commented on DRILL-3749:
---------------------------------------

Github user vkorukanti commented on the pull request:

    https://github.com/apache/drill/pull/203#issuecomment-148210343
  
    Can you check if we need to update (override new methods) the DrillFileSystem and/or DrillFsDataInputStream
which are decorators around hadoop FileSystem and FsDataInputStream?


> Upgrade Hadoop dependency to latest version (2.7.1)
> ---------------------------------------------------
>
>                 Key: DRILL-3749
>                 URL: https://issues.apache.org/jira/browse/DRILL-3749
>             Project: Apache Drill
>          Issue Type: New Feature
>          Components: Tools, Build & Test
>    Affects Versions: 1.1.0
>            Reporter: Venki Korukanti
>            Assignee: Jason Altekruse
>             Fix For: Future
>
>
> Logging a JIRA to track and discuss upgrading Drill's Hadoop dependency version. Currently
Drill depends on Hadoop 2.5.0 version. Newer version of Hadoop (2.7.1) has following features.
> 1) Better S3 support
> 2) Ability to check if a user has certain permissions on file/directory without performing
operations on the file/dir. Useful for cases like DRILL-3467.
> As Drill is going to use higher version of Hadoop fileclient, there could be potential
issues when interacting with Hadoop services (such as HDFS) of lower version than the fileclient.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message